Bug 527258 - When using NFS installation source - Cannot retrieve repository metadata for respository: UIedited_0.
When using NFS installation source - Cannot retrieve repository metadata for ...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
Reported: 2009-10-05 11:36 EDT by James Laska
Modified: 2013-09-02 02:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-22 15:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot (112.28 KB, image/png)
2009-10-05 11:36 EDT, James Laska
no flags Details
anaconda.log (47.19 KB, text/plain)
2009-10-05 11:37 EDT, James Laska
no flags Details
yum.log (3.84 KB, text/plain)
2009-10-05 11:38 EDT, James Laska
no flags Details
syslog (63.14 KB, text/plain)
2009-10-05 11:39 EDT, James Laska
no flags Details
program.log (11.30 KB, text/plain)
2009-10-05 11:39 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-10-05 11:36:35 EDT
Created attachment 363697 [details]

Description of problem:

Initiate an NFS install of rawhide.  At the repo selection screen, attempts to modify the 'install repo' fail. 

Version-Release number of selected component (if applicable):

 * anaconda-12.32

How reproducible:
 * Seems everytime

Steps to Reproduce:
1. Initiate NFS install (adjust command below as needed)

# virt-install -n vguest1 -r 1024 --vcpus 2 --os-variant fedora11 -v --accelerate -b br0 -l nfs:ntap-curly.corp.redhat.com:/vol/fedora/rawhide/nightly/rawhide-20091005/x86_64/os -f /dev/VolGroup00/vguest1-disk0 --arch x86_64 --nographics -x "console=ttyS0 serial lang=en keymap=us ksdevice=link ip=dhcp vnc"

2. Proceed to yum repo selection dialog
3. Click edit on 'install repo'
Actual results:

Dialog appears ...

"Unable to read package metadata from repository.  This
may be due to a missing repodata directory.  Please ensure
that your repository has been correctly generated.

Cannot retrieve repository metadata (repomd.xml) for
repository: UIedited_0.  Please verify it's path and try again"

Expected results:

Opening the edit dialog on a repo, and just clicking "OK" shouldn't cause any failures.

Additional info:

 * See attached screenshot
Comment 1 James Laska 2009-10-05 11:37:58 EDT
Created attachment 363698 [details]
Comment 2 James Laska 2009-10-05 11:38:15 EDT
Created attachment 363699 [details]
Comment 3 James Laska 2009-10-05 11:39:05 EDT
Created attachment 363700 [details]
Comment 4 James Laska 2009-10-05 11:39:22 EDT
Created attachment 363701 [details]
Comment 5 Radek Vykydal 2009-10-20 05:45:29 EDT
I believe this should be fixed in version 12.38 of anaconda but I don't seem to be able to test it locally due to bug #527257.
Comment 6 Adam Williamson 2009-10-21 12:22:21 EDT
James, please test. Thanks!

Fedora Bugzappers volunteer triage team
Comment 7 James Laska 2009-10-22 15:46:39 EDT
Tested and resolved as of anaconda-12.38

Note You need to log in before you can comment on or make changes to this bug.